--- /dev/null
+#!/bin/bash
+#
+# 2010 Razvan Deaconescu, razvan.deaconescu@cs.pub.ro
+#
+# Bash script used to start a hrktorrent instance
+# The script
+# * changes current working directory to TorrentsAndData
+# * starts a hrktorrent session - use LD_LIBRARY_PATH to point to
+# libtorrent-rasterbar location
+# * at the end deletes the downloaded data
+#
+# Script arguments:
+# * .torrent file
+
+if [ ! $# -eq 1 ]; then
+ echo "usage: $0 torrent-file"
+ exit 1
+fi
+
+# Read the global configuration variables
+source ../ConfigFiles/globalconfig.txt
+
+# Read arguments
+TORRENT_FILE=$1
+
+cd $WORKING_FOLDER_REL_PATH/TorrentsAndData/
+
+LD_LIBRARY_PATH=$HRK_ABS_PATH/../libtorrent-rasterbar/lib $HRK_ABS_PATH/hrktorrent $WORKING_FOLDER_REL_PATH/TorrentsAndData/$TORRENT_FILE